<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alles was mit Formate zu tun hat!
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 590 && isset($_POST['sent']) && $_SESSION['UserRechte'] >= 600 )
{
    if ( isset($_POST['TonFormatName']) )
    {
        if ( strlen($_REQUEST['TonFormatName']) <= 2 )
            $myVar->warnung[] = "Ung&uuml;ltiger Name. Mindestens drei Zeichen";
        else
        {
            // HTML-Zeichen konventieren
            $TonFormatName = htmlentities( $_REQUEST['TonFormatName'] );
            $TonFormatBeschreibung = htmlentities( $_REQUEST['TonFormatBeschreibung'] );
            $TonFormatLogoURL = htmlentities( $_REQUEST['TonFormatLogoURL'] );

            $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->TON WHERE Name = '$TonFormatName'";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);

            if ( $row['ANZ'] > 0 )
                $myVar->warnung[] = "Tonformat existiert bereits! Vorgang ung&uuml;ltig!";
            else if ( isset($_REQUEST['addTonFormat']) )
            {
            $sql = "INSERT INTO $myDB->TON (Name, Beschreibung, BildURL) VALUES ('$TonFormatName', '$TonFormatBeschreibung', '$cover_dir')";
            $myDB->go($sql);
            $id = mysql_insert_id();

        if ( isset($_FILES['Logo']) && !$_FILES['Logo']['error'] )
            insertLogo( $myDB, $myVar, $TonFormatName);

        if ( strlen($_POST['TonFormatLogoURL']) && $_POST['TonFormatLogoURL'] != 'http://' ) {
            $urls = split(";", $_POST['TonFormatLogoURL']);
            foreach($urls as $url) {
            insertLogo( $myDB, $myVar, $TonFormatName, trim($url) );
            }

        }

            }
        }
    }

        else if ( isset($_REQUEST['renameTonFormat']) )
        {
        	// HTML-Zeichen konventieren
            $TonFormatName = htmlentities( $_REQUEST['TonFormatNameNeu'] );
            $TonFormatBeschreibung = htmlentities( $_REQUEST['TonFormatBeschreibung'] );
            $TonFormatLogoURL = htmlentities( $_REQUEST['TonFormatLogoURL'] );

           	if ( strlen($_POST['TonFormatLogoURL']) && $_POST['TonFormatLogoURL'] != 'http://') //|| isset($_FILES['Logo']) && !$_FILES['Logo']['error'])
			{
	            $sql = "UPDATE $myDB->TON SET Name = '$TonFormatName', Beschreibung = '$TonFormatBeschreibung', BildURL = '$cover_dir' WHERE TonID = {$_REQUEST['TonFormatID']}";
	            $myDB->go($sql);
	            if ( isset($_FILES['Logo']) && !$_FILES['Logo']['error'] )
		            insertLogo( $myDB, $myVar, $TonFormatName);

		        if ( strlen($_POST['TonFormatLogoURL']) && $_POST['TonFormatLogoURL'] != 'http://' ) {
		            $urls = split(";", $_POST['TonFormatLogoURL']);
		            foreach($urls as $url) {
		            insertLogo( $myDB, $myVar, $TonFormatName, trim($url) );
		            }
		        }
			} else {
				$sql = "UPDATE $myDB->TON SET Name = '$TonFormatName', Beschreibung = '$TonFormatBeschreibung' WHERE TonID = {$_REQUEST['TonFormatID']}";
	            $myDB->go($sql);
			}
        }


    if ( isset($_POST['deleteTonFormat']) )
    {
        $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME_TON WHERE TonID = {$_REQUEST['setTonFormatID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        if ( $row['ANZ'] > 0 )
            $myVar->hinweis[] = "Dieses Tonormat enth&auml;lt noch {$row['ANZ']} Zuordnungen. Kann nicht gel&ouml;scht werden!";
        else
        {
            $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->TON WHERE TonID != {$_REQUEST['setTonFormatID']}";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            if ( $row['ANZ'] == 0 )
                $myVar->hinweis[] = "Tonformat kann nicht gel&ouml;scht werden, da es das Einzigste ist!";
            else
            {
	            $sql = "SELECT BildURL, Name FROM $myDB->TON WHERE TonID = {$_REQUEST['setTonFormatID']}";
	            $rs = $myDB->go($sql);
	            $row = $myDB->getRow($rs);

                $sql2 = "DELETE FROM $myDB->TON WHERE TonID = {$_REQUEST['setTonFormatID']}";
               	$myDB->go($sql2);
                unlink($row[BildURL]);
                $myVar->erfolg[] = "Das Tonformat $row[Name] wurde gel&ouml;scht.";

            }
        }
    }
}

?>
