<?php

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * ausgeliehenen Filme anzeigen und bearbeiten
 */


if ( $_SESSION['UserRechte'] < 900 && 
     !( $_SESSION['UserRechte'] == 600 && $settings->AdminCanDistribute )
   )
    exit();

if ( $myVar->MenuID == 893 )
{
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 
    
    echo "<form method=\"get\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<fieldset>";
    echo "<legend>Film reservieren</legend>";
    echo $var;
    echo "<input type=\"hidden\" name=\"reservieren\" value=\"1\" />";
    echo "<table class=\"FilmInsert\">";
    echo "<tr>";
    echo "<td class=\"description\">FilmID</td>";
    
    echo "<td><input style=\"width:7em\" type=\"text\" name=\"myFilmID\" value=\"";
    if ( isset($_REQUEST) && array_key_exists( 'myFilmID' , $_REQUEST ) )
        echo $_REQUEST['myFilmID'];
    else
        echo $myVar->myFilmIDstring;
    echo "\" /><span style=\"font-size:0.9em\"> (mit KollektionsID)</span></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Benutzer</td>";
    echo "<td>";
    echo "<select name=\"UserID\">";
    $sql = "SELECT * FROM $myDB->USERS ORDER BY UserName";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
    {
        echo "<option value=\"{$row['UserID']}\"";
        if ( array_key_exists( 'UserID' , $_REQUEST ) && $row['UserID'] == $_GET['UserID'] )
            echo "selected=\"selected\" style=\"font-weight:bold\"";
        echo ">{$row['UserName']} ({$row['Email']})</option>";
    }
    
    echo "</select>";
    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\"><input style=\"margin-top:1em; width:8em\" class=\"buttonSubmit\" type=\"submit\" value=\"eintragen\" /></td>";
    echo "</tr>";
    echo "</table>";
    echo "</fieldset>";
    echo "</form>";
    
    
    // zhlen wieviele Filme insegsamt reserviert sind
    $sql = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG re WHERE re.USERS_UserID != 0";
      $rs = $myDB->go($sql);
      $row= $myDB->getRow($rs); 

    if ( $row['Anz'] > 0 )
    {
        echo "<div id=\"verliehen\">";
        echo "<fieldset style=\"margin-top:2em\">";
        
        if ( $row['Anz'] == 1 ) {
            echo "<legend>ein reservierter Film";
            echo "</legend>";
        }
        else {
            echo "<legend>{$row['Anz']} reservierte Filme";
            echo "</legend>";
        }
    }
   

    if ( $row['Anz'] > 0)
    {
        echo "<ul>";
        $sql = "SELECT DISTINCT UserID, UserName FROM $myDB->RESERVIERUNG INNER JOIN $myDB->USERS ON UserID = USERS_UserID ORDER BY UserName";
        $rs = $myDB->go($sql);
        
        for( $i = 0; $row = $myDB->getRow($rs); ++$i )
        {
            echo "<li>{$row['UserName']} hat ";
            $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$row['UserID']} GROUP BY FILME_FilmID";
            $rs3 = $myDB->go($sql3);
            $row3['Anz'] = mysql_num_rows($rs3);
            //$row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] == 1 )
                echo "einen Film reserviert ";
            else
                echo $row3['Anz']." Filme reserviert ";

            $sql2 = "SELECT FilmID, COLLECT_CollectID, myFilmID, Titel, reserviertAm FROM $myDB->FILME fi INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID=FilmID WHERE re.USERS_UserID = {$row['UserID']} ORDER BY Titel";
            $rs2 = $myDB->go($sql2);
            echo "<ul>";
            while( $row2 = $myDB->getRow($rs2) )
            {
                $var = array();
                $var['MenuID'] = 280;
                $var['FilmID'] = $row2['FilmID'];
                $var = $myVar->getRequest($var); 
    
                echo "<li>";
                echo "<p id=\"Filmlink\" style=\"margin:0\"><a href=\"{$_SERVER['PHP_SELF']}?$var\">";
                echo $row2['Titel']." (FilmID: ".$row2['COLLECT_CollectID']."-".getAnzStellenID( $row2['myFilmID'], $settings ).")";
                echo "</a></p>";
                
                $var = array();
                $var['FilmID'] = $row2['FilmID'];
                $var['set'] = 1;
                $var = $myVar->getRequest($var)."get=1&amp;UserID={$row['UserID']}"; 

                echo "<p style=\"margin:0; font-size:0.81em\"><a href=\"{$_SERVER['PHP_SELF']}?$var\">verleihen";
                echo " (DiskID: ".getDiscID( $row2['FilmID'], $myDB, $settings ).")</a> - reserviert seit ". formatDate( $row2['reserviertAm'] );
                if ( $myDB->MySQL_Ver )
                    echo " (".getDaysInWeeks( getDaysFromToday( $row2['reserviertAm'], $myDB ) ).")";
                echo "</p>";

                $var = array();
                $var['FilmID'] = $row2['FilmID'];
                $var = $myVar->getRequest($var)."get=1&amp;UserID={$row['UserID']}"; 

                echo "<p style=\"margin:0; font-size:0.81em\"><a href=\"{$_SERVER['PHP_SELF']}?$var\">Reservierung lschen</a>";
                echo "</p>";
                echo "</li>";
            }
            
            echo "</ul>";
            echo "</li>";
        }
        echo "</ul>";
        
        echo "</fieldset>";
        echo "</div>";
    }
}

// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

?>
